Skip to main content

Document by slug

Endpoint Overview​

  • Endpoint Name: Document by slug
  • Purpose: Retrieves the details of a published document for a specific culture, given its slug.
  • Method: GET
  • URL: /{version}/content/{culture}/documents/{slug}

Authentication​

  • Authentication Type: None

Request​

Headers​

Header NameRequiredDescription
acceptYesapplication/json

Path Parameters​

ParameterTypeDescription
versionstringThe version of the API to be used. Allowed values: v2.
culturestringThe culture's identifier. E.g., en-us.
slugstringThe language-specific identifier of the document.

Query Parameters​

None.

Response​

Response Codes​

HTTP Status CodeMeaning
200Successful request
404Not Found (resource does not exist)
500Internal Server Error

Response Body​

Data structure​

The Data Structure is the same as for Get Documents with the additional _listAvailability parameter, which says whether (1) or not (0) the document is available in the list.

Successful Response Example​

Request GET https://acme.org/v2/content/en-us/documents/match-200452-lineups

Response

▼ "root": {
"type": "document"
"_translationId": "8f54f7d9-baca-4f50-bac4-c5e7dc035a0a"
"_entityId": "adff184a-dfa6-4e67-9600-3199a8ef55c0"
"selfUrl": "https://mydomain.com/v2/content/en-gb/documents/sample"
"slug": "sample"
"title": "sample"
▼ "tags": [
]
▼ "relations": [
]
▼ "references": {
}
▼ "fields": {
}
"createdBy": "Ana Pena"
"lastUpdatedBy": "Ana Pena"
"lastUpdatedDate": "2024-05-20T14:26:17.588Z"
"contentDate": "2024-05-20T14:26:17.588Z"
"featured": 0
"description": ""
"storagePath": "image/private/pluops-content-ci/glofrqdk0mjdktq6vjr0"
▼ "thumbnail": {
"title": "sample"
"templateUrl": "https://mydomain.com/forgephotos/image/private/{formatInstructions}/pluops-content-ci/glofrqdk0mjdktq6vjr0"
"thumbnailUrl": "https://mydomain.com/forgephotos/image/private/w_250,h_250,c_thumb,g_auto,q_auto,f_jpg/pluops-content-ci/glofrqdk0mjdktq6vjr0"
▼ "overriddenFormats": {
}
}
▼ "file": {
"viewUrl": "https://mydomain.com/forgephotos/image/private/pluops-content-ci/glofrqdk0mjdktq6vjr0.pdf"
"downloadUrl": "https://mydomain.com/forgephotos/image/private/fl_attachment/pluops-content-ci/glofrqdk0mjdktq6vjr0.pdf"
"templateUrl": "https://mydomain.com/forgephotos/image/private/{formatInstructions}/pluops-content-ci/glofrqdk0mjdktq6vjr0"
"format": "pdf"
"mimeType": "application/pdf"
"originalFileName": "sample"
"size": 18810
}
"_listAvailability": 0
}

Error Response Example​

{
"type": "https://tools.ietf.org/html/rfc9110#section-15.5.5",
"title": "Not Found",
"status": 404,
"traceId": "00-136f600b8c8d7ff6adc6c91ad120030a-40a7c87bf5ee8fdf-00"
}

Common Errors and Troubleshooting​

  • List common pitfalls and errors users may encounter
  • Provide clear guidance on how to resolve these issues
  • Provide links or references to related API endpoints for easy navigation